import { __assign, __extends } from "tslib";
import { SageMakerFeatureStoreRuntimeServiceException as __BaseException } from "./SageMakerFeatureStoreRuntimeServiceException";
var AccessForbidden = (function (_super) {
    __extends(AccessForbidden, _super);
    function AccessForbidden(opts) {
        var _this = _super.call(this, __assign({ name: "AccessForbidden", $fault: "client" }, opts)) || this;
        _this.name = "AccessForbidden";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, AccessForbidden.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return AccessForbidden;
}(__BaseException));
export { AccessForbidden };
export var BatchGetRecordIdentifier;
(function (BatchGetRecordIdentifier) {
    BatchGetRecordIdentifier.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetRecordIdentifier || (BatchGetRecordIdentifier = {}));
export var BatchGetRecordRequest;
(function (BatchGetRecordRequest) {
    BatchGetRecordRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetRecordRequest || (BatchGetRecordRequest = {}));
export var BatchGetRecordError;
(function (BatchGetRecordError) {
    BatchGetRecordError.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetRecordError || (BatchGetRecordError = {}));
export var FeatureValue;
(function (FeatureValue) {
    FeatureValue.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FeatureValue || (FeatureValue = {}));
export var BatchGetRecordResultDetail;
(function (BatchGetRecordResultDetail) {
    BatchGetRecordResultDetail.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetRecordResultDetail || (BatchGetRecordResultDetail = {}));
export var BatchGetRecordResponse;
(function (BatchGetRecordResponse) {
    BatchGetRecordResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(BatchGetRecordResponse || (BatchGetRecordResponse = {}));
var InternalFailure = (function (_super) {
    __extends(InternalFailure, _super);
    function InternalFailure(opts) {
        var _this = _super.call(this, __assign({ name: "InternalFailure", $fault: "server" }, opts)) || this;
        _this.name = "InternalFailure";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, InternalFailure.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InternalFailure;
}(__BaseException));
export { InternalFailure };
var ServiceUnavailable = (function (_super) {
    __extends(ServiceUnavailable, _super);
    function ServiceUnavailable(opts) {
        var _this = _super.call(this, __assign({ name: "ServiceUnavailable", $fault: "server" }, opts)) || this;
        _this.name = "ServiceUnavailable";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, ServiceUnavailable.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ServiceUnavailable;
}(__BaseException));
export { ServiceUnavailable };
var ValidationError = (function (_super) {
    __extends(ValidationError, _super);
    function ValidationError(opts) {
        var _this = _super.call(this, __assign({ name: "ValidationError", $fault: "client" }, opts)) || this;
        _this.name = "ValidationError";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ValidationError.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ValidationError;
}(__BaseException));
export { ValidationError };
export var DeleteRecordRequest;
(function (DeleteRecordRequest) {
    DeleteRecordRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteRecordRequest || (DeleteRecordRequest = {}));
export var GetRecordRequest;
(function (GetRecordRequest) {
    GetRecordRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetRecordRequest || (GetRecordRequest = {}));
export var GetRecordResponse;
(function (GetRecordResponse) {
    GetRecordResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetRecordResponse || (GetRecordResponse = {}));
var ResourceNotFound = (function (_super) {
    __extends(ResourceNotFound, _super);
    function ResourceNotFound(opts) {
        var _this = _super.call(this, __assign({ name: "ResourceNotFound", $fault: "client" }, opts)) || this;
        _this.name = "ResourceNotFound";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ResourceNotFound.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ResourceNotFound;
}(__BaseException));
export { ResourceNotFound };
export var PutRecordRequest;
(function (PutRecordRequest) {
    PutRecordRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutRecordRequest || (PutRecordRequest = {}));
