import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { BatchGetRecordCommandInput, BatchGetRecordCommandOutput } from "../commands/BatchGetRecordCommand";
import { DeleteRecordCommandInput, DeleteRecordCommandOutput } from "../commands/DeleteRecordCommand";
import { GetRecordCommandInput, GetRecordCommandOutput } from "../commands/GetRecordCommand";
import { PutRecordCommandInput, PutRecordCommandOutput } from "../commands/PutRecordCommand";
export declare const serializeAws_restJson1BatchGetRecordCommand: (input: BatchGetRecordCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteRecordCommand: (input: DeleteRecordCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetRecordCommand: (input: GetRecordCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1PutRecordCommand: (input: PutRecordCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_restJson1BatchGetRecordCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchGetRecordCommandOutput>;
export declare const deserializeAws_restJson1DeleteRecordCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteRecordCommandOutput>;
export declare const deserializeAws_restJson1GetRecordCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetRecordCommandOutput>;
export declare const deserializeAws_restJson1PutRecordCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutRecordCommandOutput>;
