"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PutRecordRequest = exports.ResourceNotFound = exports.GetRecordResponse = exports.GetRecordRequest = exports.DeleteRecordRequest = exports.ValidationError = exports.ServiceUnavailable = exports.InternalFailure = exports.BatchGetRecordResponse = exports.BatchGetRecordResultDetail = exports.FeatureValue = exports.BatchGetRecordError = exports.BatchGetRecordRequest = exports.BatchGetRecordIdentifier = exports.AccessForbidden = void 0;
const SageMakerFeatureStoreRuntimeServiceException_1 = require("./SageMakerFeatureStoreRuntimeServiceException");
class AccessForbidden extends SageMakerFeatureStoreRuntimeServiceException_1.SageMakerFeatureStoreRuntimeServiceException {
    constructor(opts) {
        super({
            name: "AccessForbidden",
            $fault: "client",
            ...opts,
        });
        this.name = "AccessForbidden";
        this.$fault = "client";
        Object.setPrototypeOf(this, AccessForbidden.prototype);
        this.Message = opts.Message;
    }
}
exports.AccessForbidden = AccessForbidden;
var BatchGetRecordIdentifier;
(function (BatchGetRecordIdentifier) {
    BatchGetRecordIdentifier.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetRecordIdentifier = exports.BatchGetRecordIdentifier || (exports.BatchGetRecordIdentifier = {}));
var BatchGetRecordRequest;
(function (BatchGetRecordRequest) {
    BatchGetRecordRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetRecordRequest = exports.BatchGetRecordRequest || (exports.BatchGetRecordRequest = {}));
var BatchGetRecordError;
(function (BatchGetRecordError) {
    BatchGetRecordError.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetRecordError = exports.BatchGetRecordError || (exports.BatchGetRecordError = {}));
var FeatureValue;
(function (FeatureValue) {
    FeatureValue.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FeatureValue = exports.FeatureValue || (exports.FeatureValue = {}));
var BatchGetRecordResultDetail;
(function (BatchGetRecordResultDetail) {
    BatchGetRecordResultDetail.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetRecordResultDetail = exports.BatchGetRecordResultDetail || (exports.BatchGetRecordResultDetail = {}));
var BatchGetRecordResponse;
(function (BatchGetRecordResponse) {
    BatchGetRecordResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetRecordResponse = exports.BatchGetRecordResponse || (exports.BatchGetRecordResponse = {}));
class InternalFailure extends SageMakerFeatureStoreRuntimeServiceException_1.SageMakerFeatureStoreRuntimeServiceException {
    constructor(opts) {
        super({
            name: "InternalFailure",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalFailure";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalFailure.prototype);
        this.Message = opts.Message;
    }
}
exports.InternalFailure = InternalFailure;
class ServiceUnavailable extends SageMakerFeatureStoreRuntimeServiceException_1.SageMakerFeatureStoreRuntimeServiceException {
    constructor(opts) {
        super({
            name: "ServiceUnavailable",
            $fault: "server",
            ...opts,
        });
        this.name = "ServiceUnavailable";
        this.$fault = "server";
        Object.setPrototypeOf(this, ServiceUnavailable.prototype);
        this.Message = opts.Message;
    }
}
exports.ServiceUnavailable = ServiceUnavailable;
class ValidationError extends SageMakerFeatureStoreRuntimeServiceException_1.SageMakerFeatureStoreRuntimeServiceException {
    constructor(opts) {
        super({
            name: "ValidationError",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationError";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationError.prototype);
        this.Message = opts.Message;
    }
}
exports.ValidationError = ValidationError;
var DeleteRecordRequest;
(function (DeleteRecordRequest) {
    DeleteRecordRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteRecordRequest = exports.DeleteRecordRequest || (exports.DeleteRecordRequest = {}));
var GetRecordRequest;
(function (GetRecordRequest) {
    GetRecordRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetRecordRequest = exports.GetRecordRequest || (exports.GetRecordRequest = {}));
var GetRecordResponse;
(function (GetRecordResponse) {
    GetRecordResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetRecordResponse = exports.GetRecordResponse || (exports.GetRecordResponse = {}));
class ResourceNotFound extends SageMakerFeatureStoreRuntimeServiceException_1.SageMakerFeatureStoreRuntimeServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFound",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFound";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFound.prototype);
        this.Message = opts.Message;
    }
}
exports.ResourceNotFound = ResourceNotFound;
var PutRecordRequest;
(function (PutRecordRequest) {
    PutRecordRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutRecordRequest = exports.PutRecordRequest || (exports.PutRecordRequest = {}));
