import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteRecordRequest } from "../models/models_0";
import { SageMakerFeatureStoreRuntimeClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerFeatureStoreRuntimeClient";
export interface DeleteRecordCommandInput extends DeleteRecordRequest {
}
export interface DeleteRecordCommandOutput extends __MetadataBearer {
}

export declare class DeleteRecordCommand extends $Command<DeleteRecordCommandInput, DeleteRecordCommandOutput, SageMakerFeatureStoreRuntimeClientResolvedConfig> {
    readonly input: DeleteRecordCommandInput;
    constructor(input: DeleteRecordCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerFeatureStoreRuntimeClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteRecordCommandInput, DeleteRecordCommandOutput>;
    private serialize;
    private deserialize;
}
